Page MenuHome

Cycles: OpenCL compiler crashes with new AMD drivers
Closed, ResolvedPublic

Description

System Information
CPU: Intel i5 2500k
GPU: AMD Radeon R9 390
RAM: 8Gb
Operating system: Windows 10 Pro v1703
Driver: AMD Radeon 17.7.2 / 17.8.2 (tested both)

Blender Version
Broken: blender-2.79.0-git.718af8e-windows64 / blender-2.79-rc2-windows64

Short description of error
When I use OpenCL rendering and I apply an UV Map with an image texture, appropriate kernel file(s) can't be compiled resulting in a crash of Blender. Rendering without the image seems to work fine.

Exact steps for others to reproduce the error

  • Start blender with: blender --factory-startup
  • Load the attached blend file
  • Render

This might be an issue because of a rather new driver. I haven't been using Blender for that long yet, so I can't say if older driver versions work properly or not. I would be very interested to know if there are older driver versions that work well, so I can roll back to that specific version, if that's an option.


Event Timeline

Dalai Felinto (dfelinto) lowered the priority of this task from 90 to Normal.

@Mai Lavelle (maiself) can you confirm/triage this one?

Looks to be the same compiler crash from T52589. Not sure if there's anything we can do as there's no proper error from the compiler. I don't think reverting to older drivers will help in this case either, as the crash is likely an existing issue triggered by some code change we made at some point. Maybe someone could bisect this, could help the compiler team in getting this fixed.

Mai Lavelle (maiself) renamed this task from Blender crash using OpenCL rendering when UV map with image texture is used to Cycles: OpenCL compiler crashes sometimes while building kernels.Sep 4 2017, 5:04 PM

Driver 17.7.1 works, 17.8.2 doesn't, for both files

RC1 doesn't work, build from 21 July does with 17.8.2

mathieu menuet (bliblubli) changed the task status from Unknown Status to Resolved.Sep 8 2017, 7:02 PM

driver 17.9.1 resolves the bug.

Version: blender-2.79.0-git.718af8e-windows64

I can confirm that 17.7.1 works.

Tried 17.9.1 with a clean install, crashes in the same manner as with driver 17.7.2 / 17.8.2

@Lennard Haaks (lennardh) both your file and my file rendered on latest buildbot using 17.9.1 on RX480. I did a normal install from 17.7.1, but OpenCL driver should have been actualized. I'll try today on Vega to see with clean install.

I can confirm 17.9.1 still crashes on Vega and RX 480 with another machine and a clean install. It seems somehow the OpenCL driver wasn't actualized with normal install. So in the meantime, staying on 17.7.1 is recommended.

Brecht Van Lommel (brecht) renamed this task from Cycles: OpenCL compiler crashes sometimes while building kernels to Cycles: OpenCL compiler crashes with new AMD drivers.Sep 19 2017, 10:43 PM
Brecht Van Lommel (brecht) changed the task status from Resolved to Unknown Status.

Reopening since this is not solved.